Package org.pushingpixels.flamingo.internal.utils

# Class ArrowResizableIcon.CommandButtonPopupIcon

java.lang.Object
org.pushingpixels.flamingo.internal.utils.ArrowResizableIcon
org.pushingpixels.flamingo.internal.utils.ArrowResizableIcon.CommandButtonPopupIcon

All Implemented Interfaces:
  `Icon`, `ResizableIcon`

Enclosing class:
  `ArrowResizableIcon`

public static class ArrowResizableIcon.CommandButtonPopupIcon extends ArrowResizableIcon

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.utils.ArrowResizableIcon

`ArrowResizableIcon.CommandButtonPopupIcon`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.utils.ArrowResizableIcon

`direction, height, width`

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonPopupIcon(int initialDim, int direction)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`toPaintEnabled(Component c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.utils.ArrowResizableIcon

`getIconHeight, getIconWidth, paintIcon, revertToOriginalDimension, setDimension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandButtonPopupIcon

public CommandButtonPopupIcon(int initialDim, int direction)

## Method Details

### toPaintEnabled

protected boolean toPaintEnabled(Component c)

Overrides:
  `toPaintEnabled` in class `ArrowResizableIcon`